: Class SecureAppender

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Free
Class SecureAppender

    Free.SecureAppender

public class SecureAppender

Implements the `org.apache.log4j.Appender` interface to provide a secure addition to GNU.FREE logging.
This class creates a chain of Message Digests, so that the every log entry creates a digest of itself with the previous entry. Thus altering the log would result in it being inconsistent with the digests unless the entire log was edited.

Since:
  1.6
Version:
  0.1 11 April 2001
Author:
  Jason Kitcat

Constructor Summary
`SecureAppender(java.lang.String previous_val)`

Method Summary
`void` | `activateOptions()`
`void` | `addFilter(Free.Filter newFilter)`
`void` | `clearFilters()`
`void` | `close()`
`void` | `doAppend(Free.LoggingEvent le)`
`java.lang.String` | `getName()`
`java.lang.String[]` | `getOptionStrings()`
`boolean` | `requiresLayout()`
`void` | `setErrorHandler(Free.ErrorHandler errorHandler)`
`void` | `setLayout(Free.Layout l)`
`void` | `setName(java.lang.String n)`
`void` | `setOption(java.lang.String option, java.lang.String value)`

Constructor Detail

### SecureAppender

    public SecureAppender(java.lang.String previous_val)

Method Detail

### doAppend

    public void doAppend(Free.LoggingEvent le)

### addFilter

    public void addFilter(Free.Filter newFilter)

### clearFilters

    public void clearFilters()

### close

    public void close()

### requiresLayout

    public boolean requiresLayout()

### setErrorHandler

    public void setErrorHandler(Free.ErrorHandler errorHandler)

### setLayout

    public void setLayout(Free.Layout l)

### activateOptions

    public void activateOptions()

### getOptionStrings

    public java.lang.String[] getOptionStrings()

### setOption

    public void setOption(java.lang.String option,
                          java.lang.String value)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String n)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD